<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_1d6c68a0262e8fa0bed1215b72" . "24a98e" => base64_decode("cmVjaXBpZ" . "W50"), "_f39f5346e313e4" . "dd1ac3a7bd8032b" . "eda" => base64_decode("c3Vic3" . "RyX2Nv" . "bXBhcm" . "U="), "_9c050c786fc871" . "70cbb84fc6a8b13" . "cb6" => base64_decode("YXR0YWNobW" . "VudC0="), "_618a4aeb9fecc4592a4521f34876fa2" . "9" => base64_decode("ZnJvbQ=" . "="), "_6e1c717cf3cbf1af98" . "2ed74d4336b7f1" => base64_decode("Ym9" . "keS" . "1od" . "G1s"), "_97ea09a7faf27c52c6ef" . "f69773df1d8a" => base64_decode("dGltZXN" . "0YW1w"), "_8c575917cbaedf1e7efae849394" . "02bff" => base64_decode("U3ViamV" . "jdA=="), "_44e986c04f41a08b56a383c7b3a8" . "8ee2" => base64_decode("c2VuZGV" . "y"), "_956cd32298a229f9768f1096f077a" . "ce3" => base64_decode("Ym9keS1wb" . "GFpbg=="), "_a1e707d02a236dadebd15a45" . "e65ebdb6" => base64_decode("YXR0YWNobWVudC1jb3" . "VudA=="), "_d706c160e45bf7434fff8" . "2a5976f0e19" => base64_decode("YXJyYXlfa2V5cw" . "=="), "_f589476007fa133f457c3e" . "f29ddfa566" => base64_decode("VG" . "8="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d706c160e45bf7434fff82a5" . "976f0e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a1e707d02a236dadebd" . "15a45e65ebdb6"] && $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_f39f5346e313e4dd1ac3a7bd" . "8032beda"]($key, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_9c050c786fc871" . "70cbb84fc6a8b13" . "cb6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_1d6c68a0262e8fa0be" . "d1215b7224a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_618a4aeb9fecc4592a4521f3487" . "6fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f589476007fa133f457c3ef29ddfa" . "566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8c575917cba" . "edf1e7efae84" . "939402bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_6e1c717cf3cbf1af982ed7" . "4d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_956cd32298a229f9768f1096f077ace" . "3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_97ea09a7faf27c" . "52c6eff69773df1" . "d8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_44e986c04f41a08b56a383c7b3a88" . "ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}